#!/usr/bin/perl

#standard code to parse HTTP query parameters
my %query = map {my($k,$v) = split(/=/)} split(/&/, $ENV{"QUERY_STRING"});

print "Content-type: text/html\n\n";
print <<EndOfHTML
<html>
<body>
<h1>Simple Clickable Pie Chart Handler</h1>
<p><a href="viewsource.pl?file=$ENV{"SCRIPT_NAME"}">
View Source Code
</a></p>

<p><b>You have clicked on the following sector :</b></p>
<ul>
    <li>Sector Number : $query{"sector"}</li>
    <li>Sector Name : $query{"label"}</li>
    <li>Sector Value : $query{"value"}</li>
    <li>Sector Percentage : $query{"percent"}%</li>
</ul>
</body>
</html>
EndOfHTML
;
